org.apache.cassandra.cql3.statements

## Class CFProperties

- java.lang.Object
- - org.apache.cassandra.cql3.statements.CFProperties

    public class CFProperties
    extends java.lang.Object

### Field Summary

Fields
`TableAttributes` `properties`

### Constructor Summary

Constructors
Constructor and Description
`CFProperties()`

### Method Summary

All Methods Instance Methods Concrete Methods
`AbstractType` `getReversableType(ColumnIdentifier targetIdentifier, AbstractType<?> type)`
`void` `setCompactStorage()`
`void` `setOrdering(ColumnIdentifier alias, boolean reversed)`
`void` `validate()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### properties

    public final TableAttributes properties

### Constructor Detail

#### CFProperties

    public CFProperties()

### Method Detail

#### validate

    public void validate()

#### setOrdering

    public void setOrdering(ColumnIdentifier alias,
                            boolean reversed)

#### setCompactStorage

    public void setCompactStorage()

#### getReversableType

    public AbstractType getReversableType(ColumnIdentifier targetIdentifier,
                                          AbstractType<?> type)